## DOMAINSSE documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Add secondary structure records to a DCF file

## 2.0 INPUTS & OUTPUTS

DOMAINSSE parses a DCF file (domain classification file) and writes a file containing the same data, except that domain secondary structure information derived from structural are added. Domain sequences are taken from domain CCF files (clean coordinate files). The CCF files must contain secondary structure information, which can be added by using PDBPLUS. The path for the CCF files (input) and names of DCF files (input and output) are specified by the user. The extension of CCF files is specified in the ACD file. A log file is also written.

## 3.0 INPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation. An example of the input file is shown in Figure 1.

### Input files for usage example

### File: ../scopparse-keep/all.scop

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

## 4.0 OUTPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation. DOMAINRESO adds the following records:

- (1) SS - Secondary structure assignment (per residue). A simplified 3-state assignment: H (helix), E (extended, beta strand) and L (loop, open coil) is used.
- (2) SE - Secondary structure element assignment (per secondary structure element). The same 3-state assignment as for the SS record is used: H (helix), E (extended, beta strand) and L (loop, open coil).

### Output files for usage example

### File: domainsse.out

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    SE   HH
    XX
    SS   SEQUENCE    46 AA;   6039 MW;  32D7FC5C51294C12 CRC64;
         LLLHHHHHHH LLHHHHHHHH HHHHHHHHHH HHHHHLLEEE EEELLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    SE   HEEE
    XX
    SS   SEQUENCE    43 AA;   5411 MW;  F2A5FA03304F5F35 CRC64;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

### File: domainsse.log

## 5.0 DATA FILES

None.

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

    Add secondary structure records to a DCF file.
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-dcfinfile]         infile     This option specifies the name of the DCF
                                      file (domain classification file) (input). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
      [-dccfdir]           directory  [./] This option specifies the location of
                                      the domain CCF file (clean coordinate files)
                                      (input). A 'clean cordinate file' contains
                                      protein coordinate and derived data for a
                                      single PDB file ('protein clean coordinate
                                      file') or a single domain from SCOP or CATH
                                      ('domain clean coordinate file'), in CCF
                                      format (EMBL-like). The files, generated by
                                      using PDBPARSE (PDB files) or DOMAINER
                                      (domains), contain 'cleaned-up' data that is
                                      self-consistent and error-corrected.
                                      Records for residue solvent accessibility
                                      and secondary structure are added to the
                                      file by using PDBPLUS.
      [-dcfoutfile]        outfile    [*.domainsse] This option specifies the name
                                      of the DCF file (domain classification
                                      file) with secondary structure records
                                      (output). A 'domain classification file'
                                      contains classification and other data for
                                      domains from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
      [-logfile]           outfile    [domainsse.log] This option specifies the
                                      name of the DOMAINSSE log file.

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-dccfdir" associated qualifiers
       -extension2         string     Default file extension

       "-dcfoutfile" associated qualifiers
       -odirectory3        string     Output directory

       "-logfile" associated qualifiers
       -odirectory4        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers

[-dcfinfile]
(Parameter 1)

infile

This option specifies the name of the DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS.

Input file

Required

[-dccfdir]
(Parameter 2)

directory

This option specifies the location of the domain CCF file (clean coordinate files) (input). A 'clean cordinate file' contains protein coordinate and derived data for a single PDB file ('protein clean coordinate file') or a single domain from SCOP or CATH ('domain clean coordinate file'), in CCF format (EMBL-like). The files, generated by using PDBPARSE (PDB files) or DOMAINER (domains), contain 'cleaned-up' data that is self-consistent and error-corrected. Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS.

Directory

./

[-dcfoutfile]
(Parameter 3)

outfile

This option specifies the name of the DCF file (domain classification file) with secondary structure records (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS.

Output file

<*>.domainsse

[-logfile] (Parameter 4) | outfile | This option specifies the name of the DOMAINSSE log file. | Output file | domainsse.log
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-dccfdir" associated directory qualifiers
-extension2 -extension_dccfdir | string | Default file extension | Any string | ccf
"-dcfoutfile" associated outfile qualifiers
-odirectory3 -odirectory_dcfoutfile | string | Output directory | Any string |
"-logfile" associated outfile qualifiers
-odirectory4 -odirectory_logfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

### 6.2 EXAMPLE SESSION

An example of interactive use of DOMAINSSE is shown below. Here is a sample session with domainsse

    % domainsse
    Add secondary structure records to a DCF file.
    Domain classification file: ../scopparse-keep/all.scop
    Clean domain coordinates directory [./]: ../domainer-domainatrix
    Domain classification output file [all.domainsse]: domainsse.out
    Domainatrix log output file [domainsse.log]: domainsse.log

    Processing D1CS4A_
    Processing D1II7A_

    Done!
     output file name: domainsse.out
     log file name: domainsse.log

Go to the input files for this example
Go to the output files for this example

## 7.0 KNOWN BUGS & WARNINGS

None.

## 8.0 NOTES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO
Domain classification file (for SCOP) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from SCOP. | SCOPPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain classification file (for CATH) | DCF format (EMBL-like format for domain classification data). | Classification and other data for domains from CATH. | CATHPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Clean coordinate file (for protein) | CCF format (EMBL-like format for protein coordinate and derived data). | Coordinate and other data for a single PDB file. The data are 'cleaned-up': self-consistent and error-corrected. | PDBPARSE | Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS.
Clean coordinate file (for domain) | CCF format (EMBL-like format for protein coordinate and derived data). | Coordinate and other data for a single domain from SCOP or CATH. The data are 'cleaned-up': self-consistent and error-corrected. | DOMAINER | Records for residue solvent accessibility and secondary structure are added to the file by using PDBPLUS.

None

## 9.0 DESCRIPTION

Domain secondary structure information is not given in the raw SCOP or CATH parsable files, but is required for many analyses and for convenience should, ideally, be provided along with the classification itself. DOMAINSSE reads a DCF file (domain classificaiton file) that lacks secondary structure information and writes one containing such information.

## 10.0 ALGORITHM

None.

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
aaindexextract | Extract amino acid property data from AAINDEX
allversusall | Sequence similarity data from all-versus-all comparison
cathparse | Generate DCF file from raw CATH files
cutgextract | Extract codon usage tables from CUTG database
domainalign | Generate alignments (DAF file) for nodes in a DCF file
domainer | Generate domain CCF files from protein CCF files
domainnr | Remove redundant domains from a DCF file
domainrep | Reorder DCF file to identify representative structures
domainseqs | Add sequence records to a DCF file
helixturnhelix | Identify nucleic acid-binding motifs in protein sequences
hetparse | Convert heterogen group dictionary to EMBL-like format
jaspextract | Extract data from JASPAR
libgen | Generate discriminating elements from alignments
matgen3d | Generate a 3D-1D scoring matrix from CCF files
pdbparse | Parse PDB files and writes protein CCF files
pdbplus | Add accessibility and secondary structure to a CCF file
pdbtosp | Convert swissprot:PDB codes file to EMBL-like format
pepcoil | Predict coiled coil regions in protein sequences
printsextract | Extract data from PRINTS database for use by pscan
prosextract | Process the PROSITE motif database for use by patmatmotifs
rebaseextract | Process the REBASE database for use by restriction enzyme applications
rocon | Generate a hits file from comparing two DHF files
rocplot | Perform ROC analysis on hits files
scopparse | Generate DCF file from raw SCOP files
seqalign | Extend alignments (DAF file) with sequences (DHF file)
seqfraggle | Remove fragment sequences from DHF files
seqnr | Remove redundancy from DHF files
seqsort | Remove ambiguous classified sequences from DHF files
seqwords | Generate DHF files from keyword search of UniProt
sites | Generate residue-ligand CON files from CCF files
ssematch | Search a DCF file for secondary structure matches
tfextract | Process TRANSFAC transcription factor database for use by tfscan

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Jon Ison (jison@ebi.ac.uk)
The European Bioinformatics Institute Wellcome Trust Genome Campus Cambridge CB10 1SD UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS. Please cite the authors and EMBOSS.
Rice P, Longden I and Bleasby A (2000) "EMBOSS - The European Molecular Biology Open Software Suite" Trends in Genetics, 15:276-278.

See also http://emboss.sourceforge.net/

### 14.1 Other useful references